Deals
GB GBP

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

TP-Link JetStream 16-Port Gigabit Smart Switch with 8-Port PoE+

TP-Link · Network Switch

TP-Link JetStream 16-Port Gigabit Smart Switch with 8-Port PoE+ price in United Kingdom

Model TL-SG2016PMPN TL-SG2016PEAN 840030709494EAN 4897098689349

  • ColourBlack
  • Switch layerL2/L3/L4
  • Basic switching RJ-45 Ethernet ports quantity16
  • 10G supportNo

Lowest price incl. delivery

£168.99

at Back to the OfficeFree deliveryIn stock

  • 3 stores
  • Range £168.99 – £171.48
  • Save up to £2.49 vs. the dearest store
  • 3 in stock
  • 2 with free delivery
  • Checked 6 Oct 2026, 05:40 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in United Kingdom

3 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC

Lowest price£168.99at Back to the Office · free shippingGo to Back to the Office (opens in a new tab)
Price range across 3 offers

Save up to £2.49 (1%) by choosing the cheapest store

  • 3 of 3 stores in stock
  • 2 with free shipping
  • Checked 6 Oct 2026, 05:40 UTC

  1. Back to the OfficeLowest priceTP-Link Omada 16-Port Gigabit Smart Switch with 8-Port PoE+ In stockFree shipping
    £168.99incl. free shipping
    Go to store : Back to the Office (opens in a new tab)
  2. PCHUB.UKTP-Link Omada 16-Port Gigabit Smart Switch with 8-Port PoE+ In stockFree shipping
    £171.48incl. free shipping+£2.49 (1%) vs lowest
    Go to store : PCHUB.UK (opens in a new tab)
  3. PcNova.co.ukTP-Link Omada 16-Port Gigabit Smart Switch with 8-Port PoE+ In stockShipping not stated
    £171.48item price, shipping extra+£2.49 (1%) vs lowest
    Go to store : PcNova.co.uk (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in United Kingdom

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · Back to the Office£168.99
Go to store

Product details

Identification

Brand
TP-Link
Product
JetStream 16-Port Gigabit Smart Switch with 8-Port PoE+
Full name
TP-Link JetStream 16-Port Gigabit Smart Switch with 8-Port PoE+
Manufacturer part number
TL-SG2016P
EAN / UPC
840030709494, 4897098689349

78 specifications from the manufacturer's data sheet

Management features

Switch layerL2/L3/L4
Quality of Service (QoS) supportYes
Cloud-managedYes
Web-based managementYes
ARP inspectionYes
Configuring Location Settings (CLI)Yes
System event logYes
MIB supportRFC1213, RFC1493, RFC2674, RFC2620, RFC2618, RFC2925, RFC1757

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity16
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
Installed SFP modules quantity0
Installed SFP+ modules quantity0
Power connectorDC-in jack

Network

Networking standardsIEEE 802.11w, IEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1x, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3i, IEEE 802.3x
10G supportNo
Copper ethernet cabling technology10BASE-T, 100BASE-TX, 1000BASE-T
Cable types supportedCat3, Cat4, Cat5, Cat5e
Port mirroringYes
Auto MDI/MDI-XYes
Auto-negotiationYes
Broadcast storm controlYes
Ethernet LAN data rates10,100,1000 Mbit/s
Flow control supportYes
Link aggregationYes
Rate limitingYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresMulticast VLAN, Tagged VLAN, Voice VLAN
Number of VLANs4000

Data transmission

MAC address table8000 entries
Switching capacity16 Gbit/s
Number of queues8
Jumbo frames supportYes
Jumbo frames9000
Packet buffer memory4.1 MB

Security

DHCP featuresDHCP relay, DHCP snooping, DHCPv6 client, DHCPv6 snooping
Access Control List (ACL)Yes
IGMP snoopingYes
AuthenticationGuest VLAN, MAC-based authentication, Port-based authentication
BPDU filtering/protectionYes
IP-MAC-Port bindingYes
MAC address entriesDynamic MAC address entries, Static MAC address entries
MAC address filteringYes
Queue scheduling algorithmsSP, Weighted Round Robin (WRR)
SSH/SSL supportYes
Security algorithmsEAP-MD5, HTTPS, SNMP, SNMPv2, SNMPv3, SSH, SSL/TLS

Multicast features

Multicast supportYes
Multicast Listener Discovery (MLD) snoopingMLD v1, MLD v2

Protocols

GARP VLAN Registration Protocol (GVRP)Yes
Supported network protocolsICMP, TCPv6, UDPv6, Ping6, Tracert6, Telnet (v6), TFTP, TCP/UDP, DSCP/IP, SSLv3, TLS 1.2
IPv4 & IPv6 featuresDual stack IPv4/IPv6

Design

Product colourBlack
Housing materialMetal
LED indicatorsPoE, Power, System

Performance

Firmware upgradeableYes
FanlessYes
Minimum system requirementsMicrosoft Windows 98SE, NT, 2000, XP, Vista, Windows 7/8/10/11, MAC OS, NetWare, UNIX, Linux

Power

Power sourceDC/PoE
DC input voltage53.5 V
Input current1.31 A
Power consumption (max)146.5 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)Yes
Power over Ethernet plus (PoE+) ports quantity8
Total Power over Ethernet (PoE) budget120 W

Operational conditions

Operating temperature (T-T)0 - 40 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)10 - 90%
Storage relative humidity (H-H)5 - 90%
Heat dissipation499.98 BTU/h

Weight & dimensions

Width286 mm
Depth111.7 mm
Height25.4 mm

Packaging content

ManualYes

Packaging data

Package width227 mm
Package depth434 mm
Package height70 mm
Package weight1.94 kg

Certificates

CertificationCE, FCC, RoHS

More network switches deals in United Kingdom

All network switches deals